Page MenuHomePhabricator

Add Wikidata support to AutoWikiBrowser
Closed, InvalidPublic

Description

Add the ability to edit Wikidata with AutoWikiBrowser

Event Timeline

Alphama created this task.Jun 27 2016, 11:50 AM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 27 2016, 11:50 AM
Reedy added a comment.Jun 27 2016, 5:04 PM

What would you want it to do?

Noting, Wikidata editing is completely different to normal MediaWiki editing

Izno added a subscriber: Izno.Apr 26 2017, 9:51 PM

I think AWB might be the wrong tool to edit Wikidata with, as much as it might be cool. The re-work involved would probably be massive? (Is there a solid serialization component or is it scattered through the codebase?)

Suggest close as invalid given that you haven't gotten a response to your query on use.

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jul 1 2017, 11:34 AM
JJMC89 renamed this task from AWB for Wikidata to Add Wikidata support to AutoWikiBrowser.Jul 1 2017, 8:13 PM
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: QZanden.

I do not see the need for implementation. Maybe a special program should be made, because the Wikidata is different.

Zoranzoki21 closed this task as Invalid.Jul 13 2017, 9:21 PM
Zoranzoki21 triaged this task as Normal priority.

Editing mode on Wikidata is different from editing on other projects.

I think AWB might be the wrong tool to edit Wikidata with, as much as it might be cool. The re-work involved would probably be massive? (Is there a solid serialization component or is it scattered through the codebase?)
Suggest close as invalid given that you haven't gotten a response to your query on use.

The editing method is different and I think it could not be implemented.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJul 13 2017, 9:21 PM